function enablewfac1

%  enablebwfac1

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION. 


anovadesignfig = findobj('tag','anovadesignfig');
pointwisecheck = findobj('tag','pointwisecheck');
intervallsedit=findobj('tag','intervallsedit');
channelgroupsedit=findobj('tag','channelgroupsedit');
f4nameedit= findobj('tag','f4nameedit');
f4gradedit= findobj('tag','f4gradedit');
f3nameedit= findobj('tag','f3nameedit');
f3gradedit=findobj('tag','f3gradedit');
f2nameedit= findobj('tag','f2nameedit');
f2gradedit=findobj('tag','f2gradedit');
f1nameedit= findobj('tag','f1nameedit');
f1gradedit= findobj('tag','f1gradedit');
bf1nameedit= findobj('tag','bf1nameedit');
bf1gradedit= findobj('tag','bf1gradedit');
bf1subjectcelledit=findobj('tag','bf1subjectcelledit');
bf1check=findobj('tag','bf1check');
f4check= findobj('tag','f4check');
f3check= findobj('tag','f3check');
f2check= findobj('tag','f2check');
f1check= findobj('tag','f1check');
cancelbutton = findobj('tag','cancelbutton');
okbutton= findobj('tag','okbutton');

%enable
if get(f1check,'Value')==1
    set(f1nameedit,'Enable','on');
    set(f1gradedit,'Enable','on');
    set(f2check,'Enable','on');
%disable
else
    set(f1nameedit,'Enable','off');
    set(f1gradedit,'Enable','off');
    set(f2check,'Enable','off');
    set(f3check,'Enable','off');
    set(f4check,'Enable','off');
end
    
return